/* .-----------------------.
   | GLife/GLifeConfig.hpp |
   +-----------------------+----------------------------.
   |              8""""8 8                              |
   |              8    " 8     e  eeee eeee             |
   |              8e     8e    8  8    8                |
   |              88  ee 88    8e 8eee 8eee             |
   |              88   8 88    88 88   88               |
   |              88eee8 88eee 88 88   88ee             |
   +----------------------------------------------------+
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '----------------------------------------------------' */

#ifndef _GLIFE_GLIFECONFIG_HPP
#define _GLIFE_GLIFECONFIG_HPP

// Required Includes
// #include <View.h>
// #include "GLifeState.hpp"


// Message IDs
enum {
	e_midGridWidth		= 'grdw',
	e_midGridHeight		= 'grdh',
	e_midBorder			= 'bord'
};


// GLifeConfig Class Declaration
class GLifeConfig : public BView
{
private:
	GLifeState*	m_pglsState;
	
	uint32		m_uiWindowFlags;
	
	BSlider*	m_pbsGridWidth;
	BSlider*	m_pbsGridHeight;
	BSlider*	m_pbsBorder;
	
public:
				GLifeConfig( BRect, GLifeState* );
	
	void		AttachedToWindow( void );
	void		MessageReceived( BMessage* );
};

#endif /* _GLIFE_GLIFECONFIG_HPP */

/* .----------------------------------------------------.
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '----------------------------+-----------------------+
                                | GLife/GLifeConfig.hpp |
                                '-----------------------' */