/* .---------------------.
   | GLife/GLifeGrid.hpp |
   +---------------------+------------------------------.
   |              8""""8 8                              |
   |              8    " 8     e  eeee eeee             |
   |              8e     8e    8  8    8                |
   |              88  ee 88    8e 8eee 8eee             |
   |              88   8 88    88 88   88               |
   |              88eee8 88eee 88 88   88ee             |
   +----------------------------------------------------+
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '----------------------------------------------------' */

#ifndef _GLIFE_GLIFEGRID_HPP
#define _GLIFE_GLIFEGRID_HPP

// GLifeGrid Class Declaration
class GLifeGrid
{
private:
	bool*		m_pbGrid;
	int32		m_iWidth;
	int32		m_iHeight;
	
	int32		Neighbors( int32, int32 );
	
public:
	// Constructor & Destructor
				GLifeGrid( int32, int32 );
				~GLifeGrid( void );
	// Public Methods
	void		Generation( void );
	// Accessor Methods
	bool		Occupied( int32, int32 );
};

#endif /* _GLIFE_GLIFEGRID_HPP */

/* .----------------------------------------------------.
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '------------------------------+---------------------+
                                  | GLife/GLifeGrid.hpp |
                                  '---------------------' */