/* .---------------------.
   | GLife/GLifeView.hpp |
   +---------------------+------------------------------.
   |              8""""8 8                              |
   |              8    " 8     e  eeee eeee             |
   |              8e     8e    8  8    8                |
   |              88  ee 88    8e 8eee 8eee             |
   |              88   8 88    88 88   88               |
   |              88eee8 88eee 88 88   88ee             |
   +----------------------------------------------------+
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '----------------------------------------------------' */

#ifndef _GLIFE_GLIFEVIEW_HPP
#define _GLIFE_GLIFEVIEW_HPP

// Required Includes
// #include <GLView.h>
// #include "GLifeState.hpp"


// GLifeView Class Declaration
class GLifeView : public BGLView
{
private:
	GLifeState*	m_pglsState;
	GLifeGrid*	m_pglgGrid;

	GLfloat		m_glfDelta;
	int32		m_iStep;

public:
	// Constructor & Destructor
				GLifeView( BRect, char*, ulong, ulong, GLifeState* );
				~GLifeView( void );
				
	// Public Methods
	void		AttachedToWindow( void );
	void		Draw( void );
	void		Advance( void );
};

#endif /* _GLIFE_GLIFEVIEW_HPP */

/* .----------------------------------------------------.
   |      GLife Screen Saver  (c) 2000  Aaron Hill      |
   '------------------------------+---------------------+
                                  | GLife/GLifeView.hpp |
                                  '---------------------' */